<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, '/js/switchery.min.js');
    loadCSS('/css/switchery.min.css');
    loadJS(requireJS, "js/views/withdrawal-create.js");
</script>

<div class="card">

    <div class="card-block">

        <form th:action="${postUrl}" method="post" id="request-form">
            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{applicationDate}">Fecha Solicitud</label>
                <input type="date" class="form-control-sm" id="creation" name="creation"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{dateCompleted}">Fecha Completada</label>
                <input type="date" class="form-control-sm" id="completed" name="completed"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{state}">Estado</label>
                <select name="status" class="form-control-sm">
                    <option value="-1" disabled="disabled" selected="selected"><span th:text="#{optSelect}"></span></option>
                    <option value="pending"><span th:text="#{pending}"></span></option>
                    <option value="approved"><span th:text="#{approved}"></span></option>
                    <option value="rejected"><span th:text="#{rejected-}"></span></option>
                    <option value="completed"><span th:text="#{complete}"></span></option>
                </select>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{payment_method}">Metodo de pago</label>
                <select name="processor" class="form-control-sm">
                    <option value="-1" disabled="disabled" selected="selected"><span th:text="#{optSelect}"></span></option>
                    <option value="cash"><span th:text="#{effective}"></span></option>
                    <option value="bacs"><span th:text="#{bank_transfer}"></span></option>
                    <option value="paypal"><span th:text="#{paypal}"></span></option>
                    <option value="tefpay"><span th:text="#{creditDebitCard}"></span></option>
                </select>
            </div>
            
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="member" th:text="#{member}">Afiliado</label>
                <input type="text" class="form-control-sm" id="member" name="member" placeholder="Ingrese id o username" th:attr="placeholder=#{inputUserOrId}"/>
                <i class="fa fa-spinner fa-pulse" id="memberNameIcon" style="display: none;"></i>
                <span class="text-muted red" id="memberName"></span>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="amount" th:text="#{amount}">Monto</label>
                <input type="text" class="form-control-sm" id='amount' name="amount"/> 
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="amount" th:text="#{IPRF}">IPRF Inverso</label>
                <input type="checkbox" class="js-switch" id="ret" name="ret"/> 
                <br/>
                <small th:text="#{calculateAmountInReverse}">Si aplica iprf (NIF o NIE), calcula el monto a la inversa</small>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountNumber" th:text="#{numberAccount}">Numero de Cuenta</label>
                <input class="form-control-sm" id="accountNumber" name="accountNumber"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="description" th:text="#{details}">Detalle</label>
                <textarea class="form-control-sm" id="description" name="description" rows="3"></textarea> 
            </div>
            <br/>
        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:text="#{btnSave}">Guardar</button>
</div>

